Odoo12 Accounting

by ,
Odoo 21
v 12.0 Third Party 15757
Download for v 12.0 Deploy on Odoo.sh
Required Apps Invoicing (account)
Included Dependencies
Technical Name om_account_accountant
Also available in version v 13.0
You bought this module and need support? Click here!
Required Apps Invoicing (account)
Included Dependencies
Technical Name om_account_accountant
Also available in version v 13.0

Odoo 12 Accounting Management

Accounting Report - Partner Ledger, General Ledger, Trial Balance etc.


Asset Management.


Budget Management.



Accounting Reports

Asset Management

Budget Management



If you need any help or want more features, just contact us:


Email: odoomates@gmail.com



Odoo 12 Accounting

This Module will bring back the accounting features such as Account Reports, Asset Management and Budget Management into Odoo 12 Community Edition

Installation

To install this module, you need to:

Download the module and add it to your Odoo addons folder. Afterward, log on to your Odoo server and go to the Apps menu. Trigger the debug mode and update the list by clicking on the "Update Apps List" link. Now install the module by clicking on the install button.

Upgrade

To upgrade this module, you need to:

Download the module and add it to your Odoo addons folder. Restart the server and log on to your Odoo server. Select the Apps menu and upgrade the module by clicking on the upgrade button.

Configuration

There is Nothing to Configure

Credits

Contributors

Author & Maintainer

This module is maintained by the Odoo Mates

Please log in to comment on this module

  • The author can leave a single reply to each comment.
  • This section is meant to ask simple questions or leave a rating. Every report of a problem experienced while using the module should be addressed to the author directly (refer to the following point).
  • If you want to start a discussion with the author, please use the developer contact information. They can usually be found in the description.
Please choose a rating from 1 to 5 for this module.
Error after installing
by
sales@keytechno.com
on 5/1/20, 8:09 AM

Hello, after I import this module in community version v12, I am unable to access general setting in odoo which brings the following error: Odoo Server Error Traceback (most recent call last): File "/opt/odoo12/odoo/odoo/http.py", line 656, in _handle_exception return super(JsonRequest, self)._handle_exception(exception) File "/opt/odoo12/odoo/odoo/http.py", line 314, in _handle_exception raise pycompat.reraise(type(exception), exception, sys.exc_info()[2]) File "/opt/odoo12/odoo/odoo/tools/pycompat.py", line 87, in reraise raise value File "/opt/odoo12/odoo/odoo/http.py", line 698, in dispatch result = self._call_function(**self.params) File "/opt/odoo12/odoo/odoo/http.py", line 346, in _call_function return checked_call(self.db, *args, **kwargs) File "/opt/odoo12/odoo/odoo/service/model.py", line 98, in wrapper return f(dbname, *args, **kwargs) File "/opt/odoo12/odoo/odoo/http.py", line 339, in checked_call result = self.endpoint(*a, **kw) File "/opt/odoo12/odoo/odoo/http.py", line 941, in __call__ return self.method(*args, **kw) File "/opt/odoo12/odoo/odoo/http.py", line 519, in response_wrap response = f(*args, **kw) File "/opt/odoo12/odoo/addons/web/controllers/main.py", line 962, in call_kw return self._call_kw(model, method, args, kwargs) File "/opt/odoo12/odoo/addons/web/controllers/main.py", line 954, in _call_kw return call_kw(request.env[model], method, args, kwargs) File "/opt/odoo12/odoo/odoo/api.py", line 755, in call_kw return _call_kw_model(method, model, args, kwargs) File "/opt/odoo12/odoo/odoo/api.py", line 728, in _call_kw_model result = method(recs, *args, **kwargs) File "/opt/odoo12/odoo/odoo/models.py", line 1394, in load_views for [v_id, v_type] in views File "/opt/odoo12/odoo/odoo/models.py", line 1394, in for [v_id, v_type] in views File "/opt/odoo12/odoo/odoo/addons/base/models/res_config.py", line 395, in fields_view_get toolbar=toolbar, submenu=submenu) File "/opt/odoo12/odoo/odoo/models.py", line 1480, in fields_view_get xarch, xfields = View.postprocess_and_fields(self._name, etree.fromstring(result['arch']), view_id) File "/opt/odoo12/odoo/odoo/addons/base/models/ir_ui_view.py", line 1131, in postprocess_and_fields self.raise_view_error(message, view_id) File "/opt/odoo12/odoo/odoo/addons/base/models/ir_ui_view.py", line 568, in raise_view_error raise ValueError(message) ValueError: Field `fiscalyear_last_month` does not exist Error context: View `n/a` [view_id: n/a, xml_id: n/a, model: n/a, parent_id: n/a] Any advise please?

Re: Error after installing
by
Odoo Mates
on 5/2/20, 12:24 PM Author

Hi, Did you restarted the service after placing the module ? We have checked and we are not able to get this issue. If you still face this , drop a mail to odoomates@gmail.com, we will connect and check. Thanks


Great, but no fiscal period configuration
by
Naturel
on 3/10/20, 3:24 AM

Hi, It's a great module, but fiscal period shows but it is blank, I don't find how to do end year. Thanks to the team :) Regards

Re: Great, but no fiscal period configuration
by
Odoo Mates
on 3/22/20, 2:21 AM Author

Feature added :) Get latest module


by
John
on 2/10/20, 10:36 PM

Works well...Much thanks for this!


I think I found an issue
by
Mauricio Villalobos
on 9/12/19, 6:57 PM

When you create Purchase Orders or Sales Orders for a specific Analytic Account, it doesn´t sync with the Project's Costs and Revenues nor does it appear in the Analytic Accounts. It just doesn´t sync.


by
mohammedmorad10172427@gmail.com
on 7/2/19, 11:35 PM

Can i ask if it is possible that i will customize that in enterprise using studio then i will put that accounting that i already customize and put in community?


by
Terence Faul
on 5/13/19, 7:29 AM

hi my fiscal period shows but it is blank, I cannot make changes?

Re:
by
Odoo Mates
on 3/22/20, 2:20 AM Author

Get the Latest Version, it has been added :)


Thanks for keeping Odoo CE alive
by
Leon Chien
on 5/5/19, 10:22 PM

Good Job. Much appreciated.


Thanks for keeping Odoo CE alive.
by
Jan Navarro
on 5/2/19, 10:46 PM

Just one thing, when you print. An error comes back with a blank message. But everything else works fine.


@Lampis Gatos : No Issues in Tax Report
by
Odoo Mates
on 3/28/19, 10:17 AM Author

We have cross checked the report with the latest Odoo12 and we are not able reproduce the issue. Please cross check from your side and please let us know. Contact: odoomates@gmail.com


Tax_Report_Error
by
Lampis Gatos
on 3/28/19, 9:01 AM

Error: Odoo Server Error Traceback (most recent call last): File "/usr/lib/python3/dist-packages/odoo/tools/cache.py", line 88, in lookup r = d[key] File "/usr/lib/python3/dist-packages/odoo/tools/func.py", line 69, in wrapper return func(self, *args, **kwargs) File "/usr/lib/python3/dist-packages/odoo/tools/lru.py", line 44, in __getitem__ a = self.d[obj].me KeyError: ('ir.model.data', , 'account.action_report_account_tax') During handling of the above exception, another exception occurred: Traceback (most recent call last): File "/usr/lib/python3/dist-packages/odoo/http.py", line 654, in _handle_exception return super(JsonRequest, self)._handle_exception(exception) File "/usr/lib/python3/dist-packages/odoo/http.py", line 312, in _handle_exception raise pycompat.reraise(type(exception), exception, sys.exc_info()[2]) File "/usr/lib/python3/dist-packages/odoo/tools/pycompat.py", line 87, in reraise raise value File "/usr/lib/python3/dist-packages/odoo/http.py", line 696, in dispatch result = self._call_function(**self.params) File "/usr/lib/python3/dist-packages/odoo/http.py", line 344, in _call_function return checked_call(self.db, *args, **kwargs) File "/usr/lib/python3/dist-packages/odoo/service/model.py", line 97, in wrapper return f(dbname, *args, **kwargs) File "/usr/lib/python3/dist-packages/odoo/http.py", line 337, in checked_call result = self.endpoint(*a, **kw) File "/usr/lib/python3/dist-packages/odoo/http.py", line 939, in __call__ return self.method(*args, **kw) File "/usr/lib/python3/dist-packages/odoo/http.py", line 517, in response_wrap response = f(*args, **kw) File "/usr/lib/python3/dist-packages/odoo/addons/web/controllers/main.py", line 966, in call_button action = self._call_kw(model, method, args, {}) File "/usr/lib/python3/dist-packages/odoo/addons/web/controllers/main.py", line 954, in _call_kw return call_kw(request.env[model], method, args, kwargs) File "/usr/lib/python3/dist-packages/odoo/api.py", line 749, in call_kw return _call_kw_multi(method, model, args, kwargs) File "/usr/lib/python3/dist-packages/odoo/api.py", line 736, in _call_kw_multi result = method(recs, *args, **kwargs) File "/usr/lib/python3/dist-packages/odoo/addons/account/wizard/account_report_common.py", line 48, in check_report return self.with_context(discard_logo_check=True)._print_report(data) File "/opt/odoo/odoo-custom-addons/account_excel_reports/wizards/account_report_tax.py", line 104, in _print_report return self.env.ref('account.action_report_account_tax').report_action(self, data=data) File "/usr/lib/python3/dist-packages/odoo/api.py", line 854, in ref return self['ir.model.data'].xmlid_to_object(xml_id, raise_if_not_found=raise_if_not_found) File "/usr/lib/python3/dist-packages/odoo/addons/base/models/ir_model.py", line 1396, in xmlid_to_object t = self.xmlid_to_res_model_res_id(xmlid, raise_if_not_found) File "/usr/lib/python3/dist-packages/odoo/addons/base/models/ir_model.py", line 1380, in xmlid_to_res_model_res_id return self.xmlid_lookup(xmlid)[1:3] File "", line 2, in xmlid_lookup File "/usr/lib/python3/dist-packages/odoo/tools/cache.py", line 93, in lookup value = d[key] = self.method(*args, **kwargs) File "/usr/lib/python3/dist-packages/odoo/addons/base/models/ir_model.py", line 1369, in xmlid_lookup raise ValueError('External ID not found in the system: %s' % xmlid) ValueError: External ID not found in the system: account.action_report_account_tax


by
ahmed
on 3/23/19, 7:24 AM

No Fiscal Period
by
Panca
on 3/12/19, 9:21 AM

I really appreciate if the Fiscal Period can be added in to this module in order to compare the budget vs actual by period.

Re: No Fiscal Period
by
Odoo Mates
on 3/22/20, 2:20 AM Author

Added :)


I have error
by
Ahmed ALHaddad
on 3/9/19, 1:55 PM

When I download the Arabic language I got the following error then RTL does not work also. خطأ: Odoo Server Error Traceback (most recent call last): File "/usr/lib/python3/dist-packages/odoo/api.py", line 1039, in get value = self._data[key][field][record._ids[0]] KeyError: 1 During handling of the above exception, another exception occurred: Traceback (most recent call last): File "/usr/lib/python3/dist-packages/odoo/fields.py", line 976, in __get__ value = record.env.cache.get(record, self) File "/usr/lib/python3/dist-packages/odoo/api.py", line 1041, in get raise CacheMiss(record, field) odoo.exceptions.CacheMiss: ('account.journal(1,).kanban_dashboard_graph', None) During handling of the above exception, another exception occurred: Traceback (most recent call last): File "/usr/lib/python3/dist-packages/odoo/http.py", line 654, in _handle_exception return super(JsonRequest, self)._handle_exception(exception) File "/usr/lib/python3/dist-packages/odoo/http.py", line 312, in _handle_exception raise pycompat.reraise(type(exception), exception, sys.exc_info()[2]) File "/usr/lib/python3/dist-packages/odoo/tools/pycompat.py", line 87, in reraise raise value File "/usr/lib/python3/dist-packages/odoo/http.py", line 696, in dispatch result = self._call_function(**self.params) File "/usr/lib/python3/dist-packages/odoo/http.py", line 344, in _call_function return checked_call(self.db, *args, **kwargs) File "/usr/lib/python3/dist-packages/odoo/service/model.py", line 97, in wrapper return f(dbname, *args, **kwargs) File "/usr/lib/python3/dist-packages/odoo/http.py", line 337, in checked_call result = self.endpoint(*a, **kw) File "/usr/lib/python3/dist-packages/odoo/http.py", line 939, in __call__ return self.method(*args, **kw) File "/usr/lib/python3/dist-packages/odoo/http.py", line 517, in response_wrap response = f(*args, **kw) File "/usr/lib/python3/dist-packages/odoo/addons/web/controllers/main.py", line 904, in search_read return self.do_search_read(model, fields, offset, limit, domain, sort) File "/usr/lib/python3/dist-packages/odoo/addons/web/controllers/main.py", line 926, in do_search_read offset=offset or 0, limit=limit or False, order=sort or False) File "/usr/lib/python3/dist-packages/odoo/models.py", line 4559, in search_read result = records.read(fields) File "/usr/lib/python3/dist-packages/odoo/models.py", line 2782, in read vals[name] = convert(record[name], record, use_name_get) File "/usr/lib/python3/dist-packages/odoo/models.py", line 5087, in __getitem__ return self._fields[key].__get__(self, type(self)) File "/usr/lib/python3/dist-packages/odoo/fields.py", line 980, in __get__ self.determine_value(record) File "/usr/lib/python3/dist-packages/odoo/fields.py", line 1091, in determine_value self.compute_value(recs) File "/usr/lib/python3/dist-packages/odoo/fields.py", line 1047, in compute_value self._compute_value(records) File "/usr/lib/python3/dist-packages/odoo/fields.py", line 1038, in _compute_value getattr(records, self.compute)() File "", line 2, in _kanban_dashboard_graph File "/usr/lib/python3/dist-packages/odoo/api.py", line 372, in loop result = [method(rec, *args, **kwargs) for rec in self] File "/usr/lib/python3/dist-packages/odoo/api.py", line 372, in result = [method(rec, *args, **kwargs) for rec in self] File "/usr/lib/python3/dist-packages/odoo/addons/account/models/account_journal_dashboard.py", line 21, in _kanban_dashboard_graph self.kanban_dashboard_graph = json.dumps(self.get_bar_graph_datas()) File "/usr/lib/python3/dist-packages/odoo/addons/account/models/account_journal_dashboard.py", line 96, in get_bar_graph_datas day_of_week = int(format_datetime(today, 'e', locale=self._context.get('lang') or 'en_US')) File "/usr/lib/python3/dist-packages/babel/dates.py", line 716, in format_datetime locale = Locale.parse(locale) File "/usr/lib/python3/dist-packages/babel/core.py", line 330, in parse raise UnknownLocaleError(input_id) babel.core.UnknownLocaleError: unknown locale 'ar_AA' can you help with the error please? Thank you


Working fine, good support
by
joerg.schumacher@ehanse.de
on 2/28/19, 7:12 AM

The module works just as intended. When we had a small glitch on the server, Odoo Mates quickly responded and helped to fix it.


No end year ?
by
Naturel
on 3/10/20, 3:31 AM

Hi, I'm on odoo 12 and I use your module In first time, I write all needed (fiscal period...) but now, I don't find how to do end year. Where do I find some document to do that ? Thanks to the great team Naturel


ValueError: Field `partner_ids` does not exist
by
Abu Irfan
on 1/26/20, 10:43 PM

Odoo Server Error Traceback (most recent call last): File "/opt/odoo/odoo-server/odoo/models.py", line 1117, in _validate_fields check(self) File "/opt/odoo/odoo-server/odoo/addons/base/models/ir_ui_view.py", line 351, in _check_xml self.postprocess_and_fields(view.model, view_doc, view.id) File "/opt/odoo/odoo-server/odoo/addons/base/models/ir_ui_view.py", line 1111, in postprocess_and_fields self.raise_view_error(message, view_id) File "/opt/odoo/odoo-server/odoo/addons/base/models/ir_ui_view.py", line 548, in raise_view_error raise ValueError(message) ValueError: Field `partner_ids` does not exist Error context: View `Partner Ledger` [view_id: 1636, xml_id: accounting_pdf_reports.account_report_partner_ledger_view, model: account.report.partner.ledger, parent_id: 773]


Is this code of odoo accounting enterprise
by
ahmedkhaliln13@gmail.com
on 1/6/20, 6:51 AM

Is this code of odoo accounting enterprise


Re: Odoo13 Accounting
by
Dragan Vukosavljevic
on 10/21/19, 11:09 AM

THANK YOU! I think you are the champions in releasing the upgraded apps versions. Great job!


Odoo13 Accounting
by
Dragan Vukosavljevic
on 10/21/19, 1:28 AM

I have already checked out https://www.odoo.com/apps/modules/13.0/accounting_pdf_reports/ but it does not specify if asset and budget management are included. Could you be more specific?

Re: Odoo13 Accounting
by
Odoo Mates
on 10/21/19, 10:09 AM Author

V13 Released: https://apps.odoo.com/apps/modules/13.0/om_account_accountant/


Odoo13 Accounting
by
Dragan Vukosavljevic
on 10/20/19, 9:39 AM

When do you expect version 13 of this application to be available?

Re: Odoo13 Accounting
by
Odoo Mates
on 10/20/19, 10:36 PM Author

See: https://www.odoo.com/apps/modules/13.0/accounting_pdf_reports/


Error when validating invoices
by
ahmed@lithiumx.co.za
on 9/25/19, 4:19 PM

Error: Odoo Server Error Traceback (most recent call last): File "/odoo/odoo-server/odoo/http.py", line 656, in _handle_exception return super(JsonRequest, self)._handle_exception(exception) File "/odoo/odoo-server/odoo/http.py", line 314, in _handle_exception raise pycompat.reraise(type(exception), exception, sys.exc_info()[2]) File "/odoo/odoo-server/odoo/tools/pycompat.py", line 87, in reraise raise value File "/odoo/odoo-server/odoo/http.py", line 698, in dispatch result = self._call_function(**self.params) File "/odoo/odoo-server/odoo/http.py", line 346, in _call_function return checked_call(self.db, *args, **kwargs) File "/odoo/odoo-server/odoo/service/model.py", line 97, in wrapper return f(dbname, *args, **kwargs) File "/odoo/odoo-server/odoo/http.py", line 339, in checked_call result = self.endpoint(*a, **kw) File "/odoo/odoo-server/odoo/http.py", line 941, in __call__ return self.method(*args, **kw) File "/odoo/odoo-server/odoo/http.py", line 519, in response_wrap response = f(*args, **kw) File "/odoo/odoo-server/addons/web/controllers/main.py", line 966, in call_button action = self._call_kw(model, method, args, {}) File "/odoo/odoo-server/addons/web/controllers/main.py", line 954, in _call_kw return call_kw(request.env[model], method, args, kwargs) File "/odoo/odoo-server/odoo/api.py", line 749, in call_kw return _call_kw_multi(method, model, args, kwargs) File "/odoo/odoo-server/odoo/api.py", line 736, in _call_kw_multi result = method(recs, *args, **kwargs) File "/odoo/odoo-server/addons/sale/models/account_invoice.py", line 59, in action_invoice_open res = super(AccountInvoice, self).action_invoice_open() File "/odoo/odoo-server/addons/account/models/account_invoice.py", line 958, in action_invoice_open to_open_invoices.action_move_create() File "/odoo/odoo-server/addons/om_account_asset/models/account_invoice.py", line 33, in action_move_create result = super(AccountInvoice, self).action_move_create() File "/odoo/odoo-server/addons/account/models/account_invoice.py", line 1311, in action_move_create move.post(invoice = inv) TypeError: post() got an unexpected keyword argument 'invoice'


I have a few questions
by
Mauricio Villalobos
on 9/12/19, 5:58 PM

I don´t find the analytic accounts linking to purchases. Is it an option? I feel like that is missing in this module.


by
kellyolivia5000@gmail.com
on 9/6/19, 7:07 AM

Greetings! I’m seeking for a competent entrepreneurs, business magnates, reputable investors etc to use his or her business platform to take advantage of a business opportunity to manage my family inheritance fund secure in a financial vault affiliated to a security company in Kenya We are open to discuss favorable returns of investment sharing percentage to any interested individuals or cooperate bodies. Your prompt response would be greatly esteemed. Best Regards contacts ........+254748611986 email......kellyolivia5000@mail.com


addons directory on odoo 12
by
scortes@enterdev.es
on 7/31/19, 8:05 AM

I cant install any odoo module , and i dont know why. I am downloading at /usr/lib/python3/dist-packages# is it right??? where is the addons directory??

Re: addons directory on odoo 12
by
Odoo Mates
on 7/31/19, 8:22 AM Author

See how to add custom module: https://www.youtube.com/watch?v=KCGAKbVT92k


Does it work on v. 11?
by
Maarid
on 7/30/19, 4:31 PM

Does it work on v. 11?

Re: Does it work on v. 11?
by
Odoo Mates
on 7/31/19, 8:21 AM Author

The features this module bring are there by default in Odoo11 itself.


installing error message
by
Andrés Higuera
on 6/21/19, 5:02 PM

Error: Odoo Server Error Traceback (most recent call last): File "/opt/bitnami/apps/odoo/lib/odoo-12.0.post20190218-py3.7.egg/odoo/http.py", line 654, in _handle_exception return super(JsonRequest, self)._handle_exception(exception) File "/opt/bitnami/apps/odoo/lib/odoo-12.0.post20190218-py3.7.egg/odoo/http.py", line 312, in _handle_exception raise pycompat.reraise(type(exception), exception, sys.exc_info()[2]) File "/opt/bitnami/apps/odoo/lib/odoo-12.0.post20190218-py3.7.egg/odoo/tools/pycompat.py", line 87, in reraise raise value File "/opt/bitnami/apps/odoo/lib/odoo-12.0.post20190218-py3.7.egg/odoo/http.py", line 696, in dispatch result = self._call_function(**self.params) File "/opt/bitnami/apps/odoo/lib/odoo-12.0.post20190218-py3.7.egg/odoo/http.py", line 344, in _call_function return checked_call(self.db, *args, **kwargs) File "/opt/bitnami/apps/odoo/lib/odoo-12.0.post20190218-py3.7.egg/odoo/service/model.py", line 97, in wrapper return f(dbname, *args, **kwargs) File "/opt/bitnami/apps/odoo/lib/odoo-12.0.post20190218-py3.7.egg/odoo/http.py", line 337, in checked_call result = self.endpoint(*a, **kw) File "/opt/bitnami/apps/odoo/lib/odoo-12.0.post20190218-py3.7.egg/odoo/http.py", line 939, in __call__ return self.method(*args, **kw) File "/opt/bitnami/apps/odoo/lib/odoo-12.0.post20190218-py3.7.egg/odoo/http.py", line 517, in response_wrap response = f(*args, **kw) File "/opt/bitnami/apps/odoo/lib/odoo-12.0.post20190218-py3.7.egg/odoo/addons/web/controllers/main.py", line 966, in call_button action = self._call_kw(model, method, args, {}) File "/opt/bitnami/apps/odoo/lib/odoo-12.0.post20190218-py3.7.egg/odoo/addons/web/controllers/main.py", line 954, in _call_kw return call_kw(request.env[model], method, args, kwargs) File "/opt/bitnami/apps/odoo/lib/odoo-12.0.post20190218-py3.7.egg/odoo/api.py", line 749, in call_kw return _call_kw_multi(method, model, args, kwargs) File "/opt/bitnami/apps/odoo/lib/odoo-12.0.post20190218-py3.7.egg/odoo/api.py", line 736, in _call_kw_multi result = method(recs, *args, **kwargs) File "", line 2, in button_immediate_install File "/opt/bitnami/apps/odoo/lib/odoo-12.0.post20190218-py3.7.egg/odoo/addons/base/models/ir_module.py", line 73, in check_and_log return method(self, *args, **kwargs) File "/opt/bitnami/apps/odoo/lib/odoo-12.0.post20190218-py3.7.egg/odoo/addons/base/models/ir_module.py", line 444, in button_immediate_install return self._button_immediate_function(type(self).button_install) File "/opt/bitnami/apps/odoo/lib/odoo-12.0.post20190218-py3.7.egg/odoo/addons/base/models/ir_module.py", line 553, in _button_immediate_function modules.registry.Registry.new(self._cr.dbname, update_module=True) File "/opt/bitnami/apps/odoo/lib/odoo-12.0.post20190218-py3.7.egg/odoo/modules/registry.py", line 86, in new odoo.modules.load_modules(registry._db, force_demo, status, update_module) File "/opt/bitnami/apps/odoo/lib/odoo-12.0.post20190218-py3.7.egg/odoo/modules/loading.py", line 421, in load_modules loaded_modules, update_module, models_to_check) File "/opt/bitnami/apps/odoo/lib/odoo-12.0.post20190218-py3.7.egg/odoo/modules/loading.py", line 313, in load_marked_modules perform_checks=perform_checks, models_to_check=models_to_check File "/opt/bitnami/apps/odoo/lib/odoo-12.0.post20190218-py3.7.egg/odoo/modules/loading.py", line 231, in load_module_graph module.with_context(overwrite=overwrite)._update_translations() File "/opt/bitnami/apps/odoo/lib/odoo-12.0.post20190218-py3.7.egg/odoo/addons/base/models/ir_module.py", line 877, in _update_translations self.env['ir.translation'].load_module_terms(mod_names, filter_lang) File "/opt/bitnami/apps/odoo/lib/odoo-12.0.post20190218-py3.7.egg/odoo/addons/base/models/ir_translation.py", line 778, in load_module_terms tools.trans_load(self._cr, trans_file, lang, verbose=False, module_name=module_name, context=context) File "/opt/bitnami/apps/odoo/lib/odoo-12.0.post20190218-py3.7.egg/odoo/tools/translate.py", line 1011, in trans_load result = trans_load_data(cr, fileobj, fileformat, lang, verbose=verbose, module_name=module_name, context=context) File "/opt/bitnami/apps/odoo/lib/odoo-12.0.post20190218-py3.7.egg/odoo/tools/translate.py", line 1155, in trans_load_data irt_cursor.finish() File "/opt/bitnami/apps/odoo/lib/odoo-12.0.post20190218-py3.7.egg/odoo/addons/base/models/ir_translation.py", line 156, in finish """ % (self._model_table, self._table)) File "/opt/bitnami/apps/odoo/lib/odoo-12.0.post20190218-py3.7.egg/odoo/sql_db.py", line 148, in wrapper return f(self, *args, **kwargs) File "/opt/bitnami/apps/odoo/lib/odoo-12.0.post20190218-py3.7.egg/odoo/sql_db.py", line 225, in execute res = self._obj.execute(query, params) psycopg2.ProgrammingError: ON CONFLICT DO UPDATE command cannot affect row a second time HINT: Ensure that no rows proposed for insertion within the same command have duplicate constrained values.

Re: installing error message
by
Odoo Mates
on 6/28/19, 1:54 AM Author

Please download and install the udpated module


On installing
by
Paul Bano
on 6/14/19, 11:57 PM

Odoo Server Error Traceback (most recent call last): File "/opt/odoo/odoo12/odoo/http.py", line 654, in _handle_exception return super(JsonRequest, self)._handle_exception(exception) File "/opt/odoo/odoo12/odoo/http.py", line 312, in _handle_exception raise pycompat.reraise(type(exception), exception, sys.exc_info()[2]) File "/opt/odoo/odoo12/odoo/tools/pycompat.py", line 87, in reraise raise value File "/opt/odoo/odoo12/odoo/http.py", line 696, in dispatch result = self._call_function(**self.params) File "/opt/odoo/odoo12/odoo/http.py", line 344, in _call_function return checked_call(self.db, *args, **kwargs) File "/opt/odoo/odoo12/odoo/service/model.py", line 97, in wrapper return f(dbname, *args, **kwargs) File "/opt/odoo/odoo12/odoo/http.py", line 337, in checked_call result = self.endpoint(*a, **kw) File "/opt/odoo/odoo12/odoo/http.py", line 939, in __call__ return self.method(*args, **kw) File "/opt/odoo/odoo12/odoo/http.py", line 517, in response_wrap response = f(*args, **kw) File "/opt/odoo/odoo12/addons/web/controllers/main.py", line 966, in call_button action = self._call_kw(model, method, args, {}) File "/opt/odoo/odoo12/addons/web/controllers/main.py", line 954, in _call_kw return call_kw(request.env[model], method, args, kwargs) File "/opt/odoo/odoo12/odoo/api.py", line 749, in call_kw return _call_kw_multi(method, model, args, kwargs) File "/opt/odoo/odoo12/odoo/api.py", line 736, in _call_kw_multi result = method(recs, *args, **kwargs) File "", line 2, in button_immediate_install File "/opt/odoo/odoo12/odoo/addons/base/models/ir_module.py", line 74, in check_and_log return method(self, *args, **kwargs) File "/opt/odoo/odoo12/odoo/addons/base/models/ir_module.py", line 445, in button_immediate_install return self._button_immediate_function(type(self).button_install) File "/opt/odoo/odoo12/odoo/addons/base/models/ir_module.py", line 561, in _button_immediate_function modules.registry.Registry.new(self._cr.dbname, update_module=True) File "/opt/odoo/odoo12/odoo/modules/registry.py", line 86, in new odoo.modules.load_modules(registry._db, force_demo, status, update_module) File "/opt/odoo/odoo12/odoo/modules/loading.py", line 421, in load_modules loaded_modules, update_module, models_to_check) File "/opt/odoo/odoo12/odoo/modules/loading.py", line 313, in load_marked_modules perform_checks=perform_checks, models_to_check=models_to_check File "/opt/odoo/odoo12/odoo/modules/loading.py", line 231, in load_module_graph module.with_context(overwrite=overwrite)._update_translations() File "/opt/odoo/odoo12/odoo/addons/base/models/ir_module.py", line 885, in _update_translations self.env['ir.translation'].load_module_terms(mod_names, filter_lang) File "/opt/odoo/odoo12/odoo/addons/base/models/ir_translation.py", line 819, in load_module_terms tools.trans_load(self._cr, trans_file, lang, verbose=False, module_name=module_name, context=context) File "/opt/odoo/odoo12/odoo/tools/translate.py", line 1013, in trans_load result = trans_load_data(cr, fileobj, fileformat, lang, verbose=verbose, module_name=module_name, context=context) File "/opt/odoo/odoo12/odoo/tools/translate.py", line 1157, in trans_load_data irt_cursor.finish() File "/opt/odoo/odoo12/odoo/addons/base/models/ir_translation.py", line 156, in finish """ % (self._model_table, self._table)) File "/opt/odoo/odoo12/odoo/sql_db.py", line 148, in wrapper return f(self, *args, **kwargs) File "/opt/odoo/odoo12/odoo/sql_db.py", line 225, in execute res = self._obj.execute(query, params) psycopg2.ProgrammingError: the order ON CONFLICT DO UPDATE can not affect the registration a second time HINT: Make sure that no record proposed for insertion within the same order has duplicate values restricted.

Re: On installing
by
Odoo Mates
on 6/28/19, 1:54 AM Author

Please download and install the udpated module


Error not from this module
by
Odoo Mates
on 3/12/19, 8:14 AM Author

@Ahmed ALHaddad: The issue is not from this module, without this module you will be able to reproduce the same in the Run-bot or in a fresh database. You can report this issue in Odoo git-hub repository: https://github.com/odoo/odoo/issues Error in Run-bot: https://pasteboard.co/I54CAEM.png


Working
by
Odoo Mates
on 2/20/19, 8:49 AM Author

We are not able to reproduce the issue, you can do one thing check the module in a fresh instance and if you are able to reproduce the issue, please send us a mail on how to reproduce it, so that we can check and fix it! Contact: odoomates@gmail.com


General Ledger Error
by
Asia Matrix
on 2/18/19, 10:26 PM

File "C:\Program Files (x86)\Odoo 12.0\server\odoo\osv\expression.py", line 459, in get_unaccent_wrapper if odoo.registry(cr.dbname).has_unaccent: File "C:\Program Files (x86)\Odoo 12.0\server\odoo\__init__.py", line 81, in registry return modules.registry.Registry(database_name) File "C:\Program Files (x86)\Odoo 12.0\server\odoo\modules\registry.py", line 60, in __new__ return cls.registries[db_name] File "C:\Program Files (x86)\Odoo 12.0\server\odoo\tools\func.py", line 69, in wrapper return func(self, *args, **kwargs) File "C:\Program Files (x86)\Odoo 12.0\server\odoo\tools\lru.py", line 45, in __getitem__ self[a[0]] = a[1] File "C:\Program Files (x86)\Odoo 12.0\server\odoo\tools\func.py", line 69, in wrapper return func(self, *args, **kwargs) File "C:\Program Files (x86)\Odoo 12.0\server\odoo\tools\lru.py", line 51, in __setitem__ del self[obj] File "C:\Program Files (x86)\Odoo 12.0\server\odoo\tools\func.py", line 69, in wrapper return func(self, *args, **kwargs) RecursionError: maximum recursion depth exceeded


hola me sale este error cuando trato de instalar el modulo por favor ayuda ya que ustedes lo desarrollaron haber que paso
by
rojasalejandro1402@gmail.com
on 2/9/19, 7:14 PM

Error: Odoo Server Error Traceback (most recent call last): File "/odoo/odoo-server/odoo/http.py", line 654, in _handle_exception return super(JsonRequest, self)._handle_exception(exception) File "/odoo/odoo-server/odoo/http.py", line 312, in _handle_exception raise pycompat.reraise(type(exception), exception, sys.exc_info()[2]) File "/odoo/odoo-server/odoo/tools/pycompat.py", line 87, in reraise raise value File "/odoo/odoo-server/odoo/http.py", line 696, in dispatch result = self._call_function(**self.params) File "/odoo/odoo-server/odoo/http.py", line 344, in _call_function return checked_call(self.db, *args, **kwargs) File "/odoo/odoo-server/odoo/service/model.py", line 97, in wrapper return f(dbname, *args, **kwargs) File "/odoo/odoo-server/odoo/http.py", line 337, in checked_call result = self.endpoint(*a, **kw) File "/odoo/odoo-server/odoo/http.py", line 939, in __call__ return self.method(*args, **kw) File "/odoo/odoo-server/odoo/http.py", line 517, in response_wrap response = f(*args, **kw) File "/odoo/odoo-server/addons/web/controllers/main.py", line 966, in call_button action = self._call_kw(model, method, args, {}) File "/odoo/odoo-server/addons/web/controllers/main.py", line 954, in _call_kw return call_kw(request.env[model], method, args, kwargs) File "/odoo/odoo-server/odoo/api.py", line 749, in call_kw return _call_kw_multi(method, model, args, kwargs) File "/odoo/odoo-server/odoo/api.py", line 736, in _call_kw_multi result = method(recs, *args, **kwargs) File "", line 2, in button_immediate_install File "/odoo/odoo-server/odoo/addons/base/models/ir_module.py", line 73, in check_and_log return method(self, *args, **kwargs) File "/odoo/odoo-server/odoo/addons/base/models/ir_module.py", line 444, in button_immediate_install return self._button_immediate_function(type(self).button_install) File "/odoo/odoo-server/odoo/addons/base/models/ir_module.py", line 553, in _button_immediate_function modules.registry.Registry.new(self._cr.dbname, update_module=True) File "/odoo/odoo-server/odoo/modules/registry.py", line 86, in new odoo.modules.load_modules(registry._db, force_demo, status, update_module) File "/odoo/odoo-server/odoo/modules/loading.py", line 421, in load_modules loaded_modules, update_module, models_to_check) File "/odoo/odoo-server/odoo/modules/loading.py", line 313, in load_marked_modules perform_checks=perform_checks, models_to_check=models_to_check File "/odoo/odoo-server/odoo/modules/loading.py", line 231, in load_module_graph module.with_context(overwrite=overwrite)._update_translations() File "/odoo/odoo-server/odoo/addons/base/models/ir_module.py", line 877, in _update_translations self.env['ir.translation'].load_module_terms(mod_names, filter_lang) File "/odoo/odoo-server/odoo/addons/base/models/ir_translation.py", line 778, in load_module_terms tools.trans_load(self._cr, trans_file, lang, verbose=False, module_name=module_name, context=context) File "/odoo/odoo-server/odoo/tools/translate.py", line 1011, in trans_load result = trans_load_data(cr, fileobj, fileformat, lang, verbose=verbose, module_name=module_name, context=context) File "/odoo/odoo-server/odoo/tools/translate.py", line 1155, in trans_load_data irt_cursor.finish() File "/odoo/odoo-server/odoo/addons/base/models/ir_translation.py", line 156, in finish """ % (self._model_table, self._table)) File "/odoo/odoo-server/odoo/sql_db.py", line 148, in wrapper return f(self, *args, **kwargs) File "/odoo/odoo-server/odoo/sql_db.py", line 225, in execute res = self._obj.execute(query, params) psycopg2.ProgrammingError: ON CONFLICT DO UPDATE command cannot affect row a second time HINT: Ensure that no rows proposed for insertion within the same command have duplicate constrained values.